<?php 
session_start(); 
?>
<!doctype html>
<?php include('db/idl_connect.php');
if(isset($_SESSION['user_droits'])) {
	if($_SESSION['user_droits'][5]<2) {
		echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
		<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />';
		$page_header = 'database'; 
		include('include/header.php');
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="index.php">Accueil</a></p>';
	}
	else {?>
<html>
<head>

	<meta charset="utf-8" />
	<title>Paramètres de la table Elèves - InfodocLog</title>
	<link rel="stylesheet" href="css/jquery-ui.css">
	<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
	<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />
	<link rel="stylesheet" href="include/fontawesome/css/all.css">
	<script type="text/javascript" src="js/jquery-3.7.0.js"></script>
	<script type="text/javascript" src="js/jquery-ui.js"></script>
	<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
	<script language="javascript">
		function toggleDiv(divid){
			if(document.getElementById(divid).style.display == 'none'){
				document.getElementById(divid).style.display = 'block';
			}else{
				document.getElementById(divid).style.display = 'none';
			}
		}
	</script>
	
	<?php include('include/tablesorter.php'); ?>
	<?php include('include/suggestions.php'); ?>
	<script type='text/javascript'>
		
		function getXhr(){
			var xhr = null; 
			if(window.XMLHttpRequest) // Firefox et autres
			   xhr = new XMLHttpRequest(); 
			else if(window.ActiveXObject){ // Internet Explorer 
			   try {
						xhr = new ActiveXObject("Msxml2.XMLHTTP");
					} catch (e) {
						xhr = new ActiveXObject("Microsoft.XMLHTTP");
					}
			}
			else { // XMLHttpRequest non supporté par le navigateur 
			   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
			   xhr = false; 
			} 
			return xhr;
		}

		/**
		* Méthode qui sera appelée sur le click du bouton pour les div
		*/
		function go(){
			// POUR DIV
			var xhr = getXhr();
			xhr.onreadystatechange = function(){
				if(xhr.readyState == 4 && xhr.status == 200){
					leselect = xhr.responseText;
					document.getElementById('divselect').innerHTML = leselect;
				}
			}

			xhr.open("POST","db/proc/freq_select_div.php",true);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			sel = document.getElementById('classe');
			idauteur = sel.options[sel.selectedIndex].value;
			xhr.send("idAuteur="+idauteur);
		}

		function gocar(){
			var seq_id = location.search.substring(1).split('&');
			var xhrbc = getXhr();
			xhrbc.onreadystatechange = function(){
				if(xhrbc.readyState == 4 && xhrbc.status == 200){
					leselectbc = xhrbc.responseText;
					document.getElementById('bc').innerHTML = leselectbc;
				}
			}

			xhrbc.open("POST","db/proc/database_select_bcmod.php",true);
			xhrbc.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			selbc = document.getElementById('barcodes');
			idauteurbc = selbc.options[selbc.selectedIndex].value;
			xhrbc.send("idBarcodes="+idauteurbc);
		}
	</script>
</head>

<body>
	<?php $page_header = 'database'; ?>
	<?php include('include/header.php'); ?>
	
	<section>
		<?php 
		$verif_tabeleves = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves");
		$nb_ele = mysqli_num_rows($verif_tabeleves);
		include('include/nav/nav_data.php'); 
		?>
		<article id="art_database">
			<?php 
		
			if(!isset($_GET['page'])) {
				include('./contenu/database_consult.php');
				
			} else {
								
				switch($_GET['page']) {
				case'consulter':
					include('./contenu/database_consult.php');
					break;
				case'print':
					include('./contenu/database_print.php');
					break;
				case'export':
					include('./contenu/database_export.php');
					break;
				case'groupes':
					include('./contenu/database_groupes.php');
					break;
				case'ajouter':
					include('./contenu/database_ajout.php');
					break;
				case'modifier':
					include('./contenu/database_modif.php');
					break;
				case'barcodes':
					include('./contenu/database_codes.php');
					break;
				case'maj':
					include('./contenu/database_maj.php');
					break;
				case'supprimer':
					include('./contenu/database_suppr.php');
					break;
				case'installer':
					include('./contenu/database_install_eleves.php');
					break;
				}
			}
		?>
		</article>
		
	</section>
	
	<footer id="foot_db">
	<?php include('include/footer.php'); ?>
	</footer>

</body>

</html>
<?php
}	
	
}
else {
	echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />';
	$page_header = 'database'; 
	include('include/header.php');
	include('include/noaccess.php');
	echo '<br><a href="index.php">Accueil</a></p>';
}
?>
