<div id="wrapper" class="statcadre">
<canvas id="chart_nbperday" class="charts" width="600" height="300"></canvas>
</div>
<script type="text/javascript">
(async function() {
    
    Chart.register(ChartDataLabels);
    const labels = <?php echo json_encode($tabDays); ?>;
    const data = {
      labels: labels,
      datasets: [{
			data: <?php echo json_encode($tabNbPerDay); ?>,
			backgroundColor: 'grey',
			borderColor: 'grey',
			borderWidth: 1
		}]
    };
new Chart(
    document.getElementById('chart_nbperday'),
    {
    type: 'bar',
    data: data,
    options: {
        plugins: {
            title: {
                display: true,
                text: 'Nombre de visites par jour'
            },
            legend: {
                display:false
            },
            tooltip : {
                mode: 'point',
                intersect: false,
              }  ,    
            datalabels: {
              display: true, // Affiche les étiquettes de données
              color: '#fff', // Couleur du texte
              align: 'center', // Alignement horizontal
              anchor: 'center', // Alignement vertical
              font: {
                weight: 'bold', // Style de police
              },
              display: function(context) {
                    return false; // Ne pas afficher les étiquettes de données
                },
            },
        },
        responsive: true,
        maintainAspectRatio: false,
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        },
      }
    }
);
})();
</script>