<div id="wrapper" class="statcadre">
<canvas id="chart_nbperniv" class="charts" width="600" height="300"></canvas>
</div>
<script type="text/javascript">
(async function() {
    
    Chart.register(ChartDataLabels);
    const labels = <?php echo json_encode($tabNiveau); ?>;
    const data = {
      labels: labels,
      datasets: [{
            data: <?php echo json_encode($tabNbPerNiveau); ?>,
            backgroundColor: <?php echo json_encode($tabBgcolor); ?>,
            borderColor: <?php echo json_encode($tabBgcolor); ?>,
            borderWidth: 1
        }]
    };
new Chart(
    document.getElementById('chart_nbperniv'),
    {
    type: 'bar',
    data: data,
    options: {
        plugins: {
            title: {
                display: true,
                text: 'Nombre de visites par niveau'
            },
            legend: {
    			display:false
    		},
            tooltip : {
                mode: 'point',
                intersect: false,
              }  ,    
            datalabels: {
              display: true, // Affiche les étiquettes de données
              color: '#878787', // Couleur du texte
              align: 'center', // Alignement horizontal
              anchor: 'center', // Alignement vertical
              font: {
                weight: 'bold', // Style de police
              },
              display: function(context) {
                  return context.dataset.data[context.dataIndex] !== 0; // N'affiche pas si la valeur est égale à 0
                },
            },
        },
        responsive: true,
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        },
      }
    }
);
})();
</script>